ACN::RLP::Component Class Reference

The RLP::Component class. More...

`#include <component.h>`

Inheritance diagram for ACN::RLP::Component:
[legend]

## Public Member Functions

| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Protected Member Functions

void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...

## Additional Inherited Members

Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The RLP::Component class.

The process, program or application corresponding to a single ACN endpoint. All messages in ACN are sent and received by a component which is identified by a CID.

## Constructor & Destructor Documentation

## Component()

ACN::RLP::Component::Component | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Component::Component.

Parameters

  cid |

## Member Function Documentation

## RlpReceiver()

void ACN::RLP::Component::RlpReceiver | ( | PDU::Message< RLP::Pdu > | root | ) |

protected

Component::RlpReceiver.

Parameters

  root | Dispatch a recieved RLP PDU to the appropriate vector handlers.

To this point, the data segment of the RLP PDU will not have been read. The root PDU must have not failed, and still have bytes available to read.

Here is the caller graph for this function:

## RlpRegisterVector()

void ACN::RLP::Component::RlpRegisterVector | ( | uint32_t | vect,
|  | PDU::Handler< RLP::Pdu > | handle
| ) |  |

protected

Component::RlpRegisterVectorHandler.

Parameters

  vect |
  handle | Add callback handler for a given RLP vector.

Here is the caller graph for this function:

## TcpPacketReceiver()

void ACN::RLP::Component::TcpPacketReceiver | ( | PDU::Stream | stream | ) |

virtual

Component::TcpPacketReceiver.

Parameters

  stream | EPI 33

Here is the call graph for this function:

## UdpPayloadReceiver()

void ACN::RLP::Component::UdpPayloadReceiver | ( | PDU::Stream | stream | ) |

virtual

Component::UdpPayloadReceiver.

Parameters

  stream | EPI 17

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/component.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/component.cpp